Isi
Indeks 🔎︎

# Fungsi Hex

Mengembalikan string yang mewakili nilai heksadesimal suatu angka.

## Sintaksis:

    Hex (Angka)

## Nilai hasil:

String

## Parameter:

Ekspresi1, Ekspresi2: Ekspresi apa saja yang hendak dibandingkan.

## Kode kesalahan:

5 Tidak sah dalam pemanggilan prosedur

## Contoh:

    Sub ExampleHex
    ' menggunakan BasicFormulas di LibreOffice Calc
    Dim a2, b2, c2 As String
        a2 = "&H3E8"
        b2 = Hex2Lng(a2)
        MsgBox b2
        c2 = Lng2Hex(b2)
        MsgBox c2
    End Sub

    Function Hex2Lng(sHex As String) As Long
    ' Mengembalikan bilangan bulat bertanda 32 bit dari sebuah nilai heksadesimal 8 digit.
        Hex2Lng = clng( sHex )
    End Function

    Function Lng2Hex(iLong As Long) As String
    ' Menghitung nilai heksadesimal 8 digit dari sebuah bilangan bulat bertanda 32 bit.
        Lng2Hex = "&H" & Hex( iLong )
    End Function